<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/08/2003 *
 * ===============                              Last change: 07/01/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : pool-update.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Sends queued mails from the pool                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sendet freigegebene Mails aus den Pool           *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Don't run on daily reset
if (defined('__DAILY_RESET')) {
	// Skip here
	return false;
} // END - if

// Init counter
$GLOBALS['pool_cnt'] = 0;

// Load more cache includes
$INC_POOL = GET_DIR_AS_ARRAY(PATH."inc/pool/", "pool-");

// Run the filter
RUN_FILTER('load_includes', $INC_POOL);

// Remove counter again
unset($GLOBALS['pool_cnt']);

//
?>
